Rails 3 download - where?

I’m trying to update my rails from 2.3.8 to 3.0, where can I get the kit
from ?

Thanks,
Dani

gem install rails --pre

this will install rails 3.0 rc1

All the best,

Fidel.

Ryan B. from railscasts.com has an excellent screencast on this
subject.
The links you are looking for are on the page under resources.

http://railscasts.com/episodes/225-upgrading-to-rails-3-part-1

If you want to upgrade from previous versions, I suggest you look into
http://www.railsupgradehandbook.com/

I haven’t really played with Rails 3 that serious. I am still using
2.3.8, and will only jump to rails 3 when it is production ready. But
I have been playing with it from time to time and following quite a
few books and tutorials.

Regards,

Fidel.

Fidel V. wrote:

gem install rails --pre

this will install rails 3.0 rc1

All the best,

Fidel.

thank you. this has helped upgrading, problem is I got the following
error:
ERROR: While executing gem … (Errno::EINVAL)
Invalid argument - ./</cdesc-<.yaml

Any idee what this means ?
Thnks,
Dani

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs